# Uses of Interface
org.eclipse.ui.dialogs.IOverwriteQuery

Packages that use IOverwriteQuery
Package
Description
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.wizards.datatransfer
Provides the standard Import and Export wizards for moving resources into and out of the workspace.

## Uses of IOverwriteQuery in org.eclipse.ui.dialogs

Classes in org.eclipse.ui.dialogs that implement IOverwriteQuery
Modifier and Type
Class
Description
`class`
`WizardDataTransferPage`
The common superclass for wizard import and export pages.
`class`
`WizardExportResourcesPage`
Abstract superclass for a typical export wizard's main page.
`class`
`WizardResourceImportPage`
The abstract superclass for a typical import wizard's main page.

## Uses of IOverwriteQuery in org.eclipse.ui.wizards.datatransfer

Fields in org.eclipse.ui.wizards.datatransfer declared as IOverwriteQuery
Modifier and Type
Field
Description
`protected IOverwriteQuery`
ImportOperation.`overwriteCallback`
Constructors in org.eclipse.ui.wizards.datatransfer with parameters of type IOverwriteQuery
Modifier
Constructor
Description
``
`ImportOperation(IPath containerPath, Object source, IImportStructureProvider provider, IOverwriteQuery overwriteImplementor)`
Creates a new operation that recursively imports the entire contents of the specified root file system object.
``
`ImportOperation(IPath containerPath, Object source, IImportStructureProvider provider, IOverwriteQuery overwriteImplementor, List filesToImport)`
Creates a new operation that imports specific file system objects.
``
`ImportOperation(IPath containerPath, IImportStructureProvider provider, IOverwriteQuery overwriteImplementor, List filesToImport)`
Creates a new operation that imports specific file system objects.